Account Name Inquiries
Account name inquiry (ANI) is an optional enhancement to the zero-amount authorization for verifying that the customer's name matches the name on their card account with the issuing bank. ANI verification reduces fraud risk, especially for an account funding transaction (AFT) or original credit transaction (OCT).
ANI verification is useful in these scenarios:
- Customer account set up.
- Before an AFT or OCT.
- To support regulatory and anti-money laundering expectations, particularly in gambling and money movement cases.
Supported Processors
- Barclays
- Visa Platform Connect
- Barclays
How to Request an ANI
ANI does not run automatically or the Visa Platform Connect processor.
To request an ANI verification on a zero amount authorization, include the processingInformation.cardVerification.checkANI field in the authorization request, and set the value to Y.
Card Types
ANI is available for Mastercard and Visa. More card types will support ANI in the future.
Barclays Processor-Specific Information
Mastercard Rules
Include the recipientInformation, billTo, or senderInformation fields. ANI looks for names in this order:
recipientInformation.lastNamesenderInformation.lastNameorderInformation.billTo.lastName
If you include the senderInformation and recipientInformation fields, the name verification fails. Send one or the other.
If you include the senderInformation and orderInformation.billTo fields, name verification runs on the senderInformation fields.
If you include recipientInformation and orderInformation.billTo fields, name verification runs on the recipientInformation fields.
Visa Rules
Include the recipientInformation or the orderInformation.billTo fields.
If you include recipientInformation and orderInformation.billTo fields, name verification runs on the recipientInformation.lastName fields.
All Card Types
Optionally, you can include these fields for name verification:
recipientInformation.firstNamerecipientInformation.middleNamesenderInformation.firstNamesenderInformation.middleNameorderInformation.billTo.firstNameorderInformation.billTo.middleName
Handling Match Results
Use match results to decide whether to proceed, retry, or flag the transaction for fraud checks.
The ANI response includes name match results in these fields:
processorInformation.merchantAdvice.nameMatchPossible values:
00: Name match performed01: Name match not performed02: Name match not supported
processorInformation.electronicVerificationResults.codePossible values:
Y: MatchN: No matchO: Partial matchU: Not performed or supported
processorInformation.electronicVerificationResults.firstNamePossible values:
Y: MatchN: No matchO: Partial matchU: Not performed or supported
processorInformation.electronicVerificationResults.lastNamePossible values:
Y: MatchN: No matchO: Partial matchU: Not performed or supported
processorInformation.electronicVerificationResults.middleNamePossible values:
Y: MatchN: No matchO: Partial matchU: Not performed or supported
Controlling ANI Results
By default, a no match or partial match ANI result might not result in a decline.
You can change this behavior by including the processingInformation.authorizationOptions.declineAniFlags request field to specify a space-separated list of ANI result codes. If the ANI response matches one of those values, the transaction is declined.
Example: decline_ani_flags = N O results in a decline on No match or Partial match.
The decline response code is ANI_FAILED.
Endpoints
Account name inquiry uses the payments service with a zero amount.
POST /pts/v2/payments
POST /pts/v2/payments
POST /pts/v2/payments
Examples
Barclays Example
These examples include optional fields.
{ "clientReferenceInformation": { "code": "ANI_MOTO_1" }, "processingInformation": { "commerceIndicator": "moto", "cardVerification": { "checkANI": "Y" } }, "orderInformation": { "amountDetails": { "totalAmount": "0.00", "currency": "gbp" }, "billTo": { "firstName": "Bob", "lastName": "Smith", "address1": "4 Merevale Avenue", "locality": "Leicester", "postalCode": "LE10 2BU", "country": "UK", "phoneNumber": "12345678901", "email": "[email protected]" } }, "paymentInformation": { "card": { "type": "001", "number": "CARD_NUMBER", "expirationYear": "2030", "expirationMonth": "03", "securityCode": "101" } }, "recipientInformation": { "firstName": "Robert", "middleName": "Tyler", "lastName": "Smith" }}{ "_links" : { "authReversal" : { "method" : "POST", "href" : "/pts/v2/payments/7806615511826390803092/reversals" }, "self" : { "method" : "GET", "href" : "/pts/v2/payments/7806615511826390803092" }, "capture" : { "method" : "POST", "href" : "/pts/v2/payments/7806615511826390803092/captures" } }, "clientReferenceInformation" : { "code" : "ANI_MOTO_1" }, "id" : "7806615511826390803092", "orderInformation" : { "amountDetails" : { "authorizedAmount" : "0.00", "currency" : "gbp" } }, "paymentAccountInformation" : { "card" : { "type" : "001" } }, "paymentInformation" : { "tokenizedCard" : { "type" : "001" }, "card" : { "type" : "001" } }, "pointOfSaleInformation" : { "terminalId" : "04980994" }, "processorInformation" : { "electronicVerificationResults" : { "lastName" : "O", "firstName" : "Y", "code" : "O", "middleNameRaw" : "N", "firstNameRaw" : "M", "lastNameRaw" : "P", "codeRaw" : "P", "middleName" : "N" }, "paymentAccountReferenceNumber" : "V0010013018036776997406844475", "merchantNumber" : "0006817027", "approvalCode" : "0", "cardVerification" : { "resultCodeRaw" : "1", "resultCode" : "P" }, "merchantAdvice" : { "code" : "00", "codeRaw" : "0", "nameMatch" : "00" }, "networkTransactionId" : "123456789012345", "transactionId" : "123456789012345", "responseCode" : "0", "avs" : { "code" : "U", "codeRaw" : "00" } }, "status" : "AUTHORIZED", "submitTimeUtc" : "2026-06-05T12:12:31Z"}{ "clientReferenceInformation": { "code": "ANI_3DS_5" }, "processingInformation": { "commerceIndicator": "spa", "cardVerification": { "checkANI": "Y" } }, "orderInformation": { "amountDetails": { "totalAmount": "0.00", "currency": "gbp" }, "billTo": { "firstName": "Susanna", "lastName": "Garcia", "address1": "134 The Avenue", "locality": "Endon", "postalCode": "ST9 4BD", "country": "UK", "phoneNumber": "12345678901", "email": "[email protected]" } }, "paymentInformation": { "card": { "type": "002", "number": "CARD_NUMBER", "expirationMonth": "03", "expirationYear": "2030", "securityCode": "102" } }, "consumerAuthenticationInformation": { "ucafCollectionIndicator": "2", "ucafAuthenticationData": "jHyn+7YFi1EUAREAAAAvNUe6Hv8=", "directoryServerTransactionId": "3ae00cc4-5bb1-47c9-872b-ce6299279da6", "paSpecificationVersion": "2.2" }, "senderInformation": { "firstName": "Susanna", "lastName": "Garcia" }}{ "_links" : { "authReversal" : { "method" : "POST", "href" : "/pts/v2/payments/7806616909726391303092/reversals" }, "self" : { "method" : "GET", "href" : "/pts/v2/payments/7806616909726391303092" }, "capture" : { "method" : "POST", "href" : "/pts/v2/payments/7806616909726391303092/captures" } }, "clientReferenceInformation" : { "code" : "ANI_3DS_5" }, "id" : "7806616909726391303092", "orderInformation" : { "amountDetails" : { "authorizedAmount" : "0.00", "currency" : "gbp" } }, "paymentAccountInformation" : { "card" : { "type" : "002" } }, "paymentInformation" : { "tokenizedCard" : { "type" : "002" }, "card" : { "type" : "002" } }, "pointOfSaleInformation" : { "terminalId" : "04980993" }, "processorInformation" : { "electronicVerificationResults" : { "lastName" : "U", "firstName" : "U", "code" : "N", "middleNameRaw" : "X", "firstNameRaw" : "X", "lastNameRaw" : "X", "codeRaw" : "N", "middleName" : "U" }, "paymentAccountReferenceNumber" : "M1234567890123456789012345678", "merchantNumber" : "0006817027", "approvalCode" : "0", "cardVerification" : { "resultCodeRaw" : "2", "resultCode" : "M" }, "merchantAdvice" : { "code" : "00", "codeRaw" : "0", "nameMatch" : "00" }, "networkTransactionId" : "HNR0000000611", "transactionId" : "HNR0000000611", "responseCode" : "0", "avs" : { "code" : "U", "codeRaw" : "00" } }, "status" : "AUTHORIZED", "submitTimeUtc" : "2026-06-05T12:14:51Z"}{ "clientReferenceInformation": { "code": "ANI_3DS_9" }, "processingInformation": { "commerceIndicator": "vbv", "cardVerification": { "checkANI": "Y" } }, "orderInformation": { "amountDetails": { "totalAmount": "0.00", "currency": "gbp" }, "billTo": { "firstName": "Matthew", "middleName": "Dylan", "lastName": "Brown", "address1": "72 Wellingborough Road", "locality": "Northampton", "postalCode": "NN1 9HT", "country": "UK", "phoneNumber": "12345678901", "email": "[email protected]" } }, "paymentInformation": { "card": { "type": "001", "number": "CARD_NUMBER", "expirationMonth": "03", "expirationYear": "2030", "securityCode": "105" } }, "consumerAuthenticationInformation": { "cavv": "0987654321fedcba1234567890ABCDEFEDCBB123" }}{ "_links" : { "authReversal" : { "method" : "POST", "href" : "/pts/v2/payments/7806618464686392103092/reversals" }, "self" : { "method" : "GET", "href" : "/pts/v2/payments/7806618464686392103092" }, "capture" : { "method" : "POST", "href" : "/pts/v2/payments/7806618464686392103092/captures" } }, "clientReferenceInformation" : { "code" : "ANI_3DS_9" }, "id" : "7806618464686392103092", "orderInformation" : { "amountDetails" : { "authorizedAmount" : "0.00", "currency" : "gbp" } }, "paymentAccountInformation" : { "card" : { "type" : "001" } }, "paymentInformation" : { "tokenizedCard" : { "type" : "001" }, "card" : { "type" : "001" } }, "pointOfSaleInformation" : { "terminalId" : "04980990" }, "processorInformation" : { "electronicVerificationResults" : { "lastName" : "Y", "firstName" : "Y", "code" : "Y", "middleNameRaw" : "M", "firstNameRaw" : "M", "lastNameRaw" : "M", "codeRaw" : "M", "middleName" : "Y" }, "paymentAccountReferenceNumber" : "V0010013018036776997406844475", "merchantNumber" : "0006817027", "approvalCode" : "0", "cardVerification" : { "resultCodeRaw" : "5", "resultCode" : "2" }, "merchantAdvice" : { "code" : "00", "codeRaw" : "0", "nameMatch" : "00" }, "networkTransactionId" : "123456789012345", "transactionId" : "123456789012345", "responseCode" : "0", "avs" : { "code" : "U", "codeRaw" : "00" } }, "status" : "AUTHORIZED", "submitTimeUtc" : "2026-06-05T12:17:26Z"}{ "clientReferenceInformation": { "code": "ANI_3DS_4" }, "processingInformation": { "authorizationOptions": { "declineAniFlags": "N" }, "commerceIndicator": "vbv", "cardVerification": { "checkANI": "Y" } }, "orderInformation": { "amountDetails": { "totalAmount": "0.00", "currency": "gbp" }, "billTo": { "firstName": "Ben", "lastName": "Stokes", "address1": "134 The Avenue", "locality": "Endon", "postalCode": "ST9 4BD", "country": "UK", "phoneNumber": "12345678901", "email": "[email protected]" } }, "paymentInformation": { "card": { "type": "001", "number": "CARD_NUMBER", "expirationMonth": "03", "expirationYear": "2030", "securityCode": "102" } }, "consumerAuthenticationInformation": { "cavv": "jHyn+7YFi1EUAREAAAAvNUe6Hv8=", "directoryServerTransactionId": "3ae00cc4-5bb1-47c9-872b-ce6299279da6", "paSpecificationVersion": "2.2" }, "recipientInformation": { "firstName": "Benjamin", "middleName": "C", "lastName": "Stokes" }}{ "_links" : { "self" : { "method" : "GET", "href" : "/pts/v2/payments/7806629787136393003092" } }, "clientReferenceInformation" : { "code" : "ANI_3DS_4" }, "errorInformation" : { "reason" : "ANI_FAILED", "message" : "Soft Decline - The authorization request was approved by the issuing bank but declined by CyberSource because it did not pass the Account Name Inquiry (ANI) check." }, "id" : "7806629787136393003092", "orderInformation" : { "amountDetails" : { "authorizedAmount" : "0.00", "currency" : "gbp" } }, "pointOfSaleInformation" : { "terminalId" : "04980986" }, "processorInformation" : { "electronicVerificationResults" : { "lastName" : "N", "firstName" : "Y", "code" : "N", "middleNameRaw" : "N", "firstNameRaw" : "M", "lastNameRaw" : "N", "codeRaw" : "N", "middleName" : "N" }, "paymentAccountReferenceNumber" : "V0010013018036776997406844475", "merchantNumber" : "0006817027", "approvalCode" : "0", "cardVerification" : { "resultCodeRaw" : "2", "resultCode" : "M" }, "merchantAdvice" : { "code" : "00", "codeRaw" : "0", "nameMatch" : "00" }, "networkTransactionId" : "123456789012345", "transactionId" : "123456789012345", "responseCode" : "0", "avs" : { "code" : "U", "codeRaw" : "00" } }, "status" : "AUTHORIZED_PENDING_REVIEW", "submitTimeUtc" : "2026-06-05T12:36:18Z"}Visa Platform Connect Example
This example includes optional fields.
{ "clientReferenceInformation": { "code": "TC50171_3" }, "paymentInformation": { "card": { "number": "CARD_NUMBER", "expirationMonth": "12", "expirationYear": "2031", "securityCode": "501" } }, "orderInformation": { "amountDetails": { "totalAmount": "0.00", "currency": "USD" }, "billTo": { "firstName": "John", "lastName": "Doe", "address1": "1 Market St", "locality": "san francisco", "administrativeArea": "CA", "postalCode": "94105", "country": "US", "email": "[email protected]", "phoneNumber": "4158880000" } }}{ "_links": { "authReversal": { "method": "POST", "href": "/pts/v2/payments/7664012361876450803814/reversals" }, "self": { "method": "GET", "href": "/pts/v2/payments/7664012361876450803814" }, "capture": { "method": "POST", "href": "/pts/v2/payments/7664012361876450803814/captures" } }, "clientReferenceInformation": { "code": "TC50171_3" }, "id": "7664012361876450803814", "orderInformation": { "amountDetails": { "authorizedAmount": "0.00", "currency": "USD" } }, "paymentAccountInformation": { "card": { "type": "001" } }, "paymentInformation": { "tokenizedCard": { "type": "001" }, "card": { "type": "001" } }, "processorInformation": { "systemTraceAuditNumber": "065281", "electronicVerificationResults": { "lastName": "Y", "firstName": "Y", "code": "Y", "middleNameRaw": "01", "firstNameRaw": "01", "lastNameRaw": "01", "codeRaw": "01", "middleName": "Y" }, "merchantNumber": "123456789012", "approvalCode": "831000", "cardVerification": { "resultCodeRaw": "M", "resultCode": "M" }, "merchantAdvice": { "code": "01", "codeRaw": "M001", "nameMatch": "00" }, "networkTransactionId": "016153570198200", "retrievalReferenceNumber": "535611065281", "consumerAuthenticationResponse": { "code": "2", "codeRaw": "2" }, "transactionId": "016153570198200", "responseCode": "00", "avs": { "code": "Y", "codeRaw": "Y" } }, "reconciliationId": "7664012361876450803814", "status": "AUTHORIZED", "submitTimeUtc": "2025-12-22T11:00:36Z"}Required Fields
Default Required Fields
These fields are required when processing an account name inquiry with a zero amount authorization.
| Field | Description |
|---|---|
orderInformation.amountDetails.currency | — |
orderInformation.amountDetails.totalAmount | Set the value to 0. |
orderInformation.billTo.address1 | — |
orderInformation.billTo.address2 | — |
orderInformation.billTo.administrativeArea | — |
orderInformation.billTo.country | — |
orderInformation.billTo.email | — |
orderInformation.billTo.firstName | Required on . |
orderInformation.billTo.lastName | See Card Types. |
orderInformation.billTo.locality | — |
orderInformation.billTo.phoneNumber | — |
orderInformation.billTo.postalCode | — |
paymentInformation.card.expirationMonth | — |
paymentInformation.card.expirationYear | — |
paymentInformation.card.number | — |
paymentInformation.card.securityCode | — |
paymentInformation.card.type | — |
processingInformation.cardVerification.checkANI | Set to Y. |
Processor-Specific Required Fields
Barclays
| Field | Description |
|---|---|
recipientInformation.lastName | See Card Types. |
senderInformation.lastName | See Card Types. |
Country-Specific Required Fields
Use these country-specific required fields to process an account name inquiry with zero amount authorization.
Argentina
| Field | Description |
|---|---|
merchantInformation.taxId | Required for Mastercard transactions. |
merchantInformation.transactionLocalDateTime | Required in Argentina when the time zone is not included in your account. Otherwise, this field is optional. |
Brazil
| Field | Description |
|---|---|
paymentInformation.card.sourceAccountType | Required for combo card transactions. |
paymentInformation.card.sourceAccountTypeDetails | Required for combo card line-of-credit and prepaid-card transactions. |
Saudi Arabia
| Field | Description |
|---|---|
processingInformation.authorizationOptions.transactionMode | — |
Taiwan
| Field | Description |
|---|---|
paymentInformation.card.hashedNumber | — |
Optional Fields
For information about optional fields for card types, see Card Types.
Optional Fields
| Field | Description |
|---|---|
orderInformation.billTo.firstName | — |
orderInformation.billTo.middleName | — |
processingInformation.authorizationOptions.declineAniFlags | Possible values separated by a space: Y: Match, O: Partial match, N: No match, U: Unverified, R: Retry. |
recipientInformation.firstName | — |
recipientInformation.middleName | — |
senderInformation.firstName | — |
senderInformation.middleName | — |
Thanks for your feedback!
Last published: September 29, 2026